%define modname cryptography-vectors
%define pymodname cryptography_vectors

Name:               python-%{modname}
Version:            1.5.3
Release:            %mkrel 1
Summary:            Test vectors for the cryptography package

Group:              Development/Python
License:            ASL 2.0 or BSD
URL:                http://pypi.python.org/pypi/cryptography-vectors
Source0:            https://pypi.io/packages/source/c/%{modname}/%{pymodname}-%{version}.tar.gz

BuildArch:          noarch
BuildRequires:      pkgconfig(python2)
BuildRequires:      pythonegg(2)(setuptools)

BuildRequires:      pkgconfig(python3)
BuildRequires:      pythonegg(3)(setuptools)


%description
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%package -n  python3-%{modname}
Group:              Development/Python
Summary:        Test vectors for the cryptography package

%description -n python3-%{modname}
Test vectors for the cryptography package.

The only purpose of this package is to be a building requirement for
python-cryptography, otherwise it has no use. Don’t install it unless
you really know what you are doing.

%prep
%setup -q -n %{pymodname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info


%build
%py2_build
%py3_build


%install
%py3_install
%py2_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files
%license LICENSE
%{python2_sitelib}/%{pymodname}/
%{python2_sitelib}/%{pymodname}-%{version}*


%files -n python3-%{modname}
%license LICENSE
%{python3_sitelib}/%{pymodname}/
%{python3_sitelib}/%{pymodname}-%{version}*



%changelog
* Fri Nov 11 2016 philippem <philippem> 1.5.3-1.mga6
+ Revision: 1066347
- update to 1.5.3, fix CVE-2016-9243 mga#19736

* Tue Oct 25 2016 philippem <philippem> 1.5.2-1.mga6
+ Revision: 1063473
- update to 1.5.2

* Tue May 17 2016 philippem <philippem> 1.3.2-1.mga6
+ Revision: 1016553
- update to 1.3.2

* Sun Apr 10 2016 philippem <philippem> 1.3.1-1.mga6
+ Revision: 1000028
- update to 1.3.1

* Sat Mar 05 2016 philippem <philippem> 1.2.3-1.mga6
+ Revision: 986076
- update to 1.2.3

* Sat Feb 13 2016 philippem <philippem> 1.2.2-1.mga6
+ Revision: 959764
- update to 1.2.2

* Fri Dec 04 2015 philippem <philippem> 1.1.1-1.mga6
+ Revision: 908143
- update to 1.1.1

* Thu Oct 29 2015 philippem <philippem> 1.1-1.mga6
+ Revision: 896475
- update to 1.1

* Sun Oct 11 2015 philippem <philippem> 1.0.2-1.mga6
+ Revision: 889681
- update to 1.0.2

* Fri Oct 09 2015 daviddavid <daviddavid> 1.0.1-2.mga6
+ Revision: 888041
- rebuild for python 3.5

* Thu Sep 24 2015 philippem <philippem> 1.0.1-1.mga6
+ Revision: 883383
- update to 1.0.1

* Sun Mar 08 2015 philippem <philippem> 0.7.2-1.mga5
+ Revision: 818093
- imported package python-cryptography-vectors

